package sun.security.provider.certpath.ssl;

import java.security.cert.CertStoreException;
import java.util.Collection;
import java.security.cert.X509CRLSelector;
import java.io.IOException;
import javax.security.auth.x500.X500Principal;
import java.security.cert.X509CertSelector;
import java.security.InvalidAlgorithmParameterException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertStore;
import java.net.URI;
import sun.security.provider.certpath.CertStoreHelper;

public final class SSLServerCertStoreHelper extends CertStoreHelper
{
    public SSLServerCertStoreHelper() {
    }
    
    public CertStore getCertStore(URI uri) throws NoSuchAlgorithmException, InvalidAlgorithmParameterException {
        return SSLServerCertStore.getInstance(uri);
    }
    
    public X509CertSelector wrap(X509CertSelector x509CertSelector, X500Principal x500Principal, String s) throws IOException {
        throw new UnsupportedOperationException();
    }
    
    public X509CRLSelector wrap(X509CRLSelector x509CRLSelector, Collection<X500Principal> collection, String s) throws IOException {
        throw new UnsupportedOperationException();
    }
    
    public boolean isCausedByNetworkIssue(CertStoreException ex) {
        Throwable cause = ex.getCause();
        return cause != null && cause instanceof IOException;
    }
}
